<?php

defined( 'ABSPATH' ) || exit;

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <title><?php esc_html_e( 'Please approve your payment in the Swish app', 'moreflo-checkout' ) ?></title>
    <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo esc_attr( $css_link ) ?>" />
    <?php foreach ( $js_links as $js_link ) { ?>
        <script src="<?php echo esc_attr( $js_link ) ?>"></script>
    <?php } ?>
    <script>
        var swishAjax = <?php echo json_encode( $js_local ) ?>;
    </script>
</head>
<body>
    <div class="moreflo-swish mf-swish-pay mf-swish-pay--processing">
        <div>
            <img class="mf-swish-pay__image" src="<?php echo esc_attr( $logo ) ?>" />
        </div>

        <div class="moreflo-swish-messages">
            <span class="moreflo-swish-status"><?php esc_html_e( 'Your paying with Swish', 'moreflo-checkout' ) ?></span>
            <p class="moreflo-swish-status-info"><?php esc_html_e( 'Open your Swish app to complete the payment', 'moreflo-checkout' ) ?></p>
        </div>

        <div>
            <div class="lds-ellipsis"><div></div><div></div><div></div><div></div></div>
        </div>

        <p><a href="<?php echo esc_attr( $swish_app ) ?>" class="mf-swish-pay__open-app"><?php esc_html_e( 'Open Swish on this device', 'moreflo-checkout' ) ?></a></p>
        <p><a href="<?php echo esc_attr( $order->get_cancel_order_url_raw() ) ?>" class="mf-swish-pay__cancel"><?php esc_html_e( 'Cancel payment', 'moreflo-checkout' ) ?></a></p>

	    <?php
	    if (
			( 'sandbox' === $swish_environment || 'mss' === $swish_environment ) &&
			'local' === wp_get_environment_type()
	    ) {
		    $local_dev_swish_url = home_url( '?wc-api=swish_pay_gateway&event=payment&status=paid&order_id=' . $order->get_id() );
			echo '<a href="' . esc_url( $local_dev_swish_url ) . '" target="_blank">Trigger DEV pay</a>';
	    }
		?>


    </div>
</body>
</html>
